内部関数が例外を投げるようにする

set_error_handler()を利用する。

set_error_handler()のサンプル

<?php
function exceptionErrorHandler($errno, $errstr, $errfile, $errline) {
   throw new ErrorException($errstr, 0, $errno, $errfile, $errline);
}
set_error_handler('exceptionErrorHandler');

例外発生を確認

<?php
error_reporting(E_ALL);
try {
   $arr = array();
   print $arr['a'] . "\n";
   strpos();
} catch (Exception $e) {
   print $e->getMessage() . "\n";
   print $e->getTraceAsString() . "\n";
}

トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS

Last-modified: 2011-05-30 (月) 07:31:09 (2696d)